jingrow.listview_settings["ToDo"] = {
	hide_name_column: true,
	add_fields: ["reference_type", "reference_name"],

	onload: function (me) {
		me.page.set_title(__("To Do"));
	},

	button: {
		show: function (pg) {
			return pg.reference_name;
		},
		get_label: function () {
			return __("Open", null, "Access");
		},
		get_description: function (pg) {
			return __("Open {0}", [`${__(pg.reference_type)}: ${pg.reference_name}`]);
		},
		action: function (pg) {
			jingrow.set_route("Form", pg.reference_type, pg.reference_name);
		},
	},
};
